from sqlalchemy import String, Column, BigInteger, DateTime
from config.database import Base


class SysAlert(Base):
    """
    系统告警表
    """

    __tablename__ = 'sys_alert'

    id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键 自增')
    detail = Column(String(256), nullable=True, comment='告警描述')
    type = Column(String(2), nullable=True, comment='告警类型')
    status = Column(String(2), nullable=True, comment='告警状态, 0 未处理, 1 已处理')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=True, comment='更新时间')
    update_by = Column(String(64), nullable=True, comment='更新者')



